"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Selection = void 0;
class Selection {
    constructor(...properties) {
        this._properties = properties;
    }
    get properties() {
        return this._properties;
    }
    get selections() {
        return this._selections;
    }
    static create(...properties) {
        return new Selection(...properties);
    }
    setSelections(selections) {
        this._selections = selections;
        return this;
    }
}
exports.Selection = Selection;
//# sourceMappingURL=Selection.js.map